PIIXPM(4)

NAME
piixpm - Intel PIIX SMBus controller

SYNOPSIS
piixpm* at pci?
iic* at piixpm?

DESCRIPTION
The piixpm driver provides support for the Intel PIIX and compatible Power Management controller. Only the SMBus host interface is supported and can be used with the iic(4) framework.

Supported chipsets:

•   AMD Hudson-2
•   ATI SB200, SB300, SB400, SB600, SB700, SB800
•   Intel 82371AB (PIIX4), 82440MX
•   ServerWorks OSB4, CSB5, CSB6, HT-1000, HT-1100
•   SMSC Victory66

SEE ALSO
iic(4), intro(4), pci(4)

HISTORY
The piixpm driver first appeared in OpenBSD 3.7 to provide support for the power management (ACPI) timer. In OpenBSD 3.9, power management support was dropped in favor of acpitimer(4) and SMBus functionality was added.

AUTHORS
-nosplit The current piixpm driver was written by Alexander Yurchenko <grange@openbsd.org>.

BUGS
The driver doesn't support I2C commands with a data buffer size of more than 2 bytes.